Bumping minimum python version?

Suggestions and discussion of future versions
Post Reply
Lord-Kamina
Member
Member
Posts: 18
Joined: Sun Dec 22, 2019 4:24 pm

Bumping minimum python version?

Post by Lord-Kamina »

I know the last deluge releason targets python 3.6, and 2.2 was intended to be 3.7 (which is now also EOL)
Is there anything blocking just bumping the minimum to 3.8 or even 3.9?
User avatar
ambipro
Moderator
Moderator
Posts: 465
Joined: Thu May 19, 2022 3:33 am
Contact:

Re: Bumping minimum python version?

Post by ambipro »

I'm on the develop branch running from source, and using 3.10 - so I do not think so.

Just be aware of the potential for plugins needing it removed from their filename and what packages are upgraded if you run into any errors.
Lord-Kamina
Member
Member
Posts: 18
Joined: Sun Dec 22, 2019 4:24 pm

Re: Bumping minimum python version?

Post by Lord-Kamina »

I'm working on a PR to move the plug-ins to wheels using importlib 😉
Post Reply